
Foreman - Bug #6926

New user with just anonymous role will get 403 Forbidden upon logon to / (redirected to /hosts)

08/05/2014 04:12 AM - Jan Pazdziora

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If new user is created with no roles (so I assume it just has anonymous), by default upon logon they get redirected to /hosts and they

will see

Permission denied

You are not authorized to perform this action

Please request the required privileges from a foreman administrator

What's more, the HTTP status of this page is 403, which breaks tests.

I believe Foreman should not auto-redirect users to pages they are not able to see. The page /bookmarks works fine.

Related issues:

Related to Foreman - Bug #6361: menu item "Hosts --> All hosts" is visible to... Closed 06/24/2014

Is duplicate of Foreman - Bug #1632: On login with minimal permissions, user ... New 05/18/2012

History

#1 - 08/05/2014 04:15 AM - Dominic Cleal

- Is duplicate of Bug #1632: On login with minimal permissions, user is always taken to host page added

#2 - 08/05/2014 04:16 AM - Dominic Cleal

- Related to Bug #6361: menu item "Hosts --> All hosts" is visible to normal user from anonymous role by default added

#3 - 08/05/2014 04:17 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, I think we have it covered under #1632.  This happened the other day when the default view_hosts permission was removed

from Anonymous.
